## aurora 1.6.7

=== Makefile ===
CC = gcc
CFLAGS = -O2 -Wall -fpack-struct -I/usr/include -I./include -march=amdfam10 -mtune=amdfam10

# uncomment the following line if compiling on a 64 bit machine
BIT64 = -Dbit64

INSTALLSITEMAN1DIR = ${mandir}/man1
DISTMAN1DIR = docs/man
bindir = ${exec_prefix}/bin
datarootdir = ${prefix}/share
exec_prefix = ${prefix}
mandir = ${datarootdir}/man
prefix = /usr/local

TARGET = aurora

.PHONY: install

all:	$(TARGET)

$(TARGET): main.o comm.o
	$(CC) main.o comm.o -o $(TARGET)

main.o: main.c include/main.h include/comm.h include/names.h include/states.h
	$(CC) $(CFLAGS) ${BIT64} -c main.c

comm.o: comm.c include/main.h include/comm.h include/names.h include/states.h
	$(CC) $(CFLAGS) ${BIT64} -c comm.c

clean:
	rm -f $(TARGET) *.o

install: aurora
	install -m 0700 $(TARGET) $(bindir)
	install -m 0644 ${DISTMAN1DIR}/$(TARGET).1 ${INSTALLSITEMAN1DIR}

uninstall:
	rm -f $(bindir)/$(TARGET) ${INSTALLSITEMAN1DIR}/$(TARGET).1

=== debian/changelog ===
aurora (1.6.7-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - update standards version
    - versioned build dependencies for debhelper and quilt
  * debian/source: added per lintian

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Jan 2011 10:26:47 -0600

aurora (1.6.6-0ubuntu1) maverick; urgency=low

  * New upstream release (bug fixes)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 20 Aug 2010 14:32:11 -0500

aurora (1.6.4-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 25 Jul 2010 03:51:14 +0200

aurora (1.6.3-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 24 Jul 2010 21:20:44 +0200

aurora (1.6.0-0ubuntu3) lucid; urgency=low

  * debian/control: add quilt to build depends, fix FTBFS

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 21:43:38 -0700

aurora (1.6.0-0ubuntu2) lucid; urgency=low

  * debian/rules: apply patches
  * debian/patches/fix_build.patch: drop specific flags that cause
    FTBFS on non-x86 arches

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 18:58:19 -0700

aurora (1.6.0-0ubuntu1) lucid; urgency=low

  * Merge from upstream, has a few stabilization fixes
  * Drop local manpage, since this is now upstream

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Mar 2010 13:03:03 -0700

aurora (1.5.7-0ubuntu1) lucid; urgency=low

  * Initial packaging for Ubuntu, LP: #538533
  * Manpage has been sent upstream, should be dropped in a future upload

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 13 Mar 2010 12:34:32 -0600

=== debian/control ===
Source: aurora
Section: misc
Priority: extra
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~)
Standards-Version: 3.9.1
Homepage: http://www.curtronics.com/Solar/AuroraData.html

Package: aurora
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: communicate with an Aurora Magnetek Photovoltaic (solar) Power Inverter
 This program will communicate over serial or USB connections to Aurora
 Photovoltaic Inverters.  It can retrieve and process the statistics
 gathered by the inverter itself.

## aurora 1.7.0

=== Makefile ===
# uncomment and/or set to match processor 
# ** ONLY IF ** automatic determination of these compile flags is
# not working properly. uncommenting these variables will override 
# automatic determination of them
#ARCH = native
#TUNE = native

CC = gcc
CFLAGS = -O2 -Wall -I/usr/include -I./include

INSTALLSITEMAN1DIR = ${mandir}/man1
DISTMAN1DIR = docs/man
bindir = ${exec_prefix}/bin
datarootdir = ${prefix}/share
exec_prefix = ${prefix}
mandir = ${datarootdir}/man
prefix = /usr/local

BIT := $(shell getconf LONG_BIT)
BIT64 = -Dbit$(BIT)

GCCVER = $(shell expr `gcc -dumpversion` \>= 4.2)

GFLAGS1 = $(shell echo 'int main(){return 0;}' > /tmp/test-arch-tune.c && gcc -v -Q -march=native -O2 /tmp/test-arch-tune.c -o /tmp/test-arch-tune 2>&1 | sed -e 's/[\(|\)]//g' | grep march && rm /tmp/test-arch-tune.c)
GNONATIVE = $(shell echo ${GFLAGS1} | grep -e "error" -e "bad value native" | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "bad" -e "error")
ifeq "$(strip $(GNONATIVE))" ""
GFLAGS = $(shell echo ${GFLAGS1} | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "^-march=" -e "^-mtune=" | sort -u && rm /tmp/test-arch-tune)
endif

ifdef GFLAGS
ifndef ARCH
GARCH1 = $(shell echo ${GFLAGS} | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "^-march=" | sed -e 's/-march=//')
GARCH = $(shell echo ${GARCH1} | sed -e 's/ native//' -e 's/native //')
endif
ifndef TUNE
GTUNE1 = $(shell echo ${GFLAGS} | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "^-mtune=" | sed -e 's/-mtune=//')
GTUNE = $(shell echo ${GTUNE1} | sed -e 's/ native//' -e 's/native //')
endif
endif

ifndef ARCH
ifdef GARCH
ARCH = ${GARCH}
else
ifeq ($(GCCVER),1)
ifeq "$(strip $(GNONATIVE))" ""
ARCH = native
endif
endif
endif
endif

ifndef TUNE
ifdef GTUNE
TUNE = ${GTUNE}
else
ifeq ($(GCCVER),1)
ifneq "$(strip $(GNONATIVE))" ""
TUNE = native
endif
endif
endif
endif

ifneq "$(strip $(GNONATIVE))" ""
ifeq ($(ARCH),native)
ARCH =
endif
ifeq ($(TUNE),native)
TUNE = 
endif
endif

ifneq "$(strip $(ARCH))" ""
ARCH2 = $(shell echo ${ARCH} | awk '{for (i =1; i <= NF; i++) print "-march="$$i}')
endif
ifneq "$(strip $(TUNE))" ""
TUNE2 = $(shell echo ${TUNE} | awk '{for (i =1; i <= NF; i++) print "-mtune="$$i}')
endif

TARGET = aurora

.PHONY: install

all:	$(TARGET)

$(TARGET): check main.o comm.o
	$(CC) main.o comm.o -o $(TARGET)

check:
ifeq ($(BIT),64)
	@echo -n "Compiling for 64bit "
else
	@echo -n "Compiling for 32bit "
endif
ifneq "$(strip $(GNONATIVE))" ""
	@echo -n "NoNative "
endif
ifdef ARCH
	@echo -n "$(ARCH) "
endif
ifdef TUNE
ifneq ($(ARCH),$(TUNE))
	@echo -n "$(TUNE) "
endif
endif
	@echo

main.o: main.c include/main.h include/comm.h include/names.h include/states.h
	$(CC) $(CFLAGS) $(BIT64) $(ARCH2) $(TUNE2) -c main.c

comm.o: comm.c include/main.h include/comm.h include/names.h include/states.h
	$(CC) $(CFLAGS) $(BIT64) $(ARCH2) $(TUNE2) -c comm.c

clean:
	rm -f $(TARGET) *.o

install: aurora
	install -m 0700 $(TARGET) $(bindir)
	install -m 0644 ${DISTMAN1DIR}/$(TARGET).1 ${INSTALLSITEMAN1DIR}

uninstall:
	rm -f $(bindir)/$(TARGET) ${INSTALLSITEMAN1DIR}/$(TARGET).1

=== debian/changelog ===
aurora (1.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/series: dropped build patch

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 18 Sep 2011 19:39:23 -0500

aurora (1.6.8-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/fix_build.patch: updated
  * debian/control: bump standards

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 30 Jul 2011 12:41:17 -0500

## aurora 1.7.3

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 CC = gcc
 CFLAGS = -O2 -Wall -I/usr/include -I./include
+OFILES = main.o comm.o
 
 INSTALLSITEMAN1DIR = ${mandir}/man1
 DISTMAN1DIR = docs/man
@@ -18,6 +19,7 @@
 
 BIT := $(shell getconf LONG_BIT)
 BIT64 = -Dbit$(BIT)
+CFLAGS += $(BIT64)
 
 GCCVER = $(shell expr `gcc -dumpversion` \>= 4.2)
 
@@ -73,9 +75,11 @@
 
 ifneq "$(strip $(ARCH))" ""
 ARCH2 = $(shell echo ${ARCH} | awk '{for (i =1; i <= NF; i++) print "-march="$$i}')
+CFLAGS += $(ARCH2)
 endif
 ifneq "$(strip $(TUNE))" ""
 TUNE2 = $(shell echo ${TUNE} | awk '{for (i =1; i <= NF; i++) print "-mtune="$$i}')
+CFLAGS += $(TUNE2)
 endif
 
 TARGET = aurora
@@ -84,8 +88,8 @@
 
 all:	$(TARGET)
 
-$(TARGET): check main.o comm.o
-	$(CC) main.o comm.o -o $(TARGET)
+$(TARGET): check $(OFILES)
+	$(CC) $(OFILES) -o $(TARGET)
 
 check:
 ifeq ($(BIT),64)
@@ -106,17 +110,17 @@
 endif
 	@echo
 
-main.o: main.c include/main.h include/comm.h include/names.h include/states.h
-	$(CC) $(CFLAGS) $(BIT64) $(ARCH2) $(TUNE2) -c main.c
+main.o: Makefile main.c include/main.h include/comm.h include/names.h include/states.h
+	$(CC) $(CFLAGS) -c main.c
 
-comm.o: comm.c include/main.h include/comm.h include/names.h include/states.h
-	$(CC) $(CFLAGS) $(BIT64) $(ARCH2) $(TUNE2) -c comm.c
+comm.o: Makefile comm.c include/main.h include/comm.h include/names.h include/states.h
+	$(CC) $(CFLAGS) -c comm.c
 
 clean:
 	rm -f $(TARGET) *.o
 
 install: aurora
-	install -m 0700 $(TARGET) $(bindir)
+	install -m 4711 $(TARGET) $(bindir)
 	install -m 0644 ${DISTMAN1DIR}/$(TARGET).1 ${INSTALLSITEMAN1DIR}
 
 uninstall:

=== debian/changelog ===
aurora (1.7.3-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 15 Nov 2011 12:08:03 -0600

aurora (1.7.1-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Oct 2011 14:05:43 -0500

## aurora 1.8.8

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,11 @@
 
 GCCVER = $(shell expr `gcc -dumpversion` \>= 4.2)
 
-GFLAGS1 = $(shell echo 'int main(){return 0;}' > /tmp/test-arch-tune.c && gcc -v -Q -march=native -O2 /tmp/test-arch-tune.c -o /tmp/test-arch-tune 2>&1 | sed -e 's/[\(|\)]//g' | grep march && rm /tmp/test-arch-tune.c)
+GFLAGS1 = $(shell echo 'int main(){return 0;}' > /tmp/test-arch-tune.c && gcc -v -Q -march=native -O2 /tmp/test-arch-tune.c -o /tmp/test-arch-tune 2>&1 | sed -e 's/[\(|\)]//g' | grep march && rm /tmp/test-arch-tune*)
 GNONATIVE = $(shell echo ${GFLAGS1} | grep -e "error" -e "bad value native" | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "bad" -e "error")
+GGMTOFF = $(shell echo '\#include <time.h>' > /tmp/test-arch-tune.c && echo 'int main(){long int g;struct tm t;g = t.tm_gmtoff;return (g);}' >> /tmp/test-arch-tune.c && gcc -march=native -O2 /tmp/test-arch-tune.c -o /tmp/test-arch-tune 2>&1 && rm /tmp/test-arch-tune*)
 ifeq "$(strip $(GNONATIVE))" ""
-GFLAGS = $(shell echo ${GFLAGS1} | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "^-march=" -e "^-mtune=" | sort -u && rm /tmp/test-arch-tune)
+GFLAGS = $(shell echo ${GFLAGS1} | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "^-march=" -e "^-mtune=" | sort -u)
 endif
 
 ifdef GFLAGS
@@ -73,6 +74,9 @@
 endif
 endif
 
+ifneq "$(strip $(GGMTOFF))" ""
+CFLAGS += -DNO_TM_GMTOFF
+endif
 ifneq "$(strip $(ARCH))" ""
 ARCH2 = $(shell echo ${ARCH} | awk '{for (i =1; i <= NF; i++) print "-march="$$i}')
 CFLAGS += $(ARCH2)
@@ -90,6 +94,7 @@
 
 $(TARGET): check $(OFILES)
 	$(CC) $(OFILES) -o $(TARGET)
+	chmod 4711 $(TARGET)
 
 check:
 ifeq ($(BIT),64)

=== debian/changelog ===
aurora (1.8.8-0ubuntu1) vivid; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 27 Jan 2015 20:37:21 -0600

aurora (1.8.7-0ubuntu1) vivid; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 26 Jan 2015 18:19:31 -0600

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Don't use the upstream install target, as it installs to /usr/local/bin
override_dh_auto_install:

%:
	dh  --with quilt $@

## aurora 1.9.3

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # ** ONLY IF ** automatic determination of these compile flags is
 # not working properly. uncommenting these variables will override 
 # automatic determination of them
+# To disable -march set: ARCH = NONE
+# -mtune cannot be disabled but can be manually set here
 #ARCH = native
 #TUNE = native
 
@@ -19,7 +21,8 @@
 
 BIT := $(shell getconf LONG_BIT)
 BIT64 = -Dbit$(BIT)
-CFLAGS += $(BIT64)
+# bit32/64 compiler flag no longer used
+#CFLAGS += $(BIT64)
 
 GCCVER = $(shell expr `gcc -dumpversion` \>= 4.2)
 
@@ -77,9 +80,11 @@
 ifneq "$(strip $(GGMTOFF))" ""
 CFLAGS += -DNO_TM_GMTOFF
 endif
+ifneq "$(ARCH)" "NONE"
 ifneq "$(strip $(ARCH))" ""
 ARCH2 = $(shell echo ${ARCH} | awk '{for (i =1; i <= NF; i++) print "-march="$$i}')
 CFLAGS += $(ARCH2)
+endif
 endif
 ifneq "$(strip $(TUNE))" ""
 TUNE2 = $(shell echo ${TUNE} | awk '{for (i =1; i <= NF; i++) print "-mtune="$$i}')
@@ -97,16 +102,22 @@
 	chmod 4711 $(TARGET)
 
 check:
+ifeq "$(ARCH)" "NONE"
+	@echo -n "Compiling for "
+else
 ifeq ($(BIT),64)
 	@echo -n "Compiling for 64bit "
 else
 	@echo -n "Compiling for 32bit "
 endif
+endif
 ifneq "$(strip $(GNONATIVE))" ""
 	@echo -n "NoNative "
 endif
 ifdef ARCH
+ifneq "$(ARCH)" "NONE"
 	@echo -n "$(ARCH) "
+endif
 endif
 ifdef TUNE
 ifneq ($(ARCH),$(TUNE))

=== debian/changelog ===
aurora (1.9.3-0ubuntu1) yakkety; urgency=medium

  * new upstream release
  * per maintainer (Curtis Blank), we should set ARCH=NONE, TUNE=generic
    in our Makefile

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 01 Aug 2016 16:23:50 -0500

aurora (1.9.1-0ubuntu1) yakkety; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 06 Jul 2016 15:11:39 -0500

aurora (1.9.0-0ubuntu1) yakkety; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 06 Jul 2016 12:39:40 -0500

## aurora 1.9.4

=== debian/changelog ===
aurora (1.9.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/watch: Added.
  * debian/patches/build: Remove (unused/unneeded).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 06 Jan 2021 17:28:34 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.curtronics.com/Solar/AuroraData.html
 
 Package: aurora

=== debian/watch ===
version=4
http://www.curtronics.com/Solar/AuroraData.html /Solar/ftp/aurora-(.+).tar.gz
